package com.tuoheng.task.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.tuoheng.common.core.common.BaseQuery;
import com.tuoheng.task.entity.Task;
import com.tuoheng.task.vo.TaskVo;
import org.apache.ibatis.annotations.Param;

/**
 * 任务表 Mapper 接口
 *
 * @author WangHaoran
 * @since 2022-06-30
 */
public interface TaskMapper extends BaseMapper<Task> {

    IPage<TaskVo> selectPageInfo(@Param("page") IPage page, @Param("query") BaseQuery query);
}
