package com.tuoheng.task.query;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;


@Data
public class StreamQuery extends BaseQuery {

    /**
     * 河流名称
     */
    private String name;

    /**
     * 省份编码
     */
    private String provinceCode;

    /**
     * 城市编码
     */
    private String cityCode;

    /**
     * 区县编码
     */
    private String districtCode;

    /**
     * 街道编码
     */
    private String streetCode;

    /**
     * 河湖长ID
     */
    private String adminId;

}
