package com.tuoheng.task.service;

import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.task.entity.Task;

/**
 * 任务表 服务类
 *
 * @author WangHaoran
 * @since 2022-06-30
 */
public interface ITaskService extends IBaseService<Task> {

    /**
     * 获取任务详情
     *
     * @param taskId
     * @return
     */
    JsonResult detail(String taskId);
}
