package com.tuoheng.task.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class TaskVo {

    /**
     * 任务编号
     */
    private String code;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 河道ID
     */
    private String streamId;

    /**
     * 河道名称
     */
    private String streamName;

    /**
     * 期望巡检日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inspectionHopeTime;

    /**
     * 任务状态：1任务待飞行 2任务飞行中 3任务飞行完成
     */
    private Integer status;

    /**
     * 添加人
     */
    private String createUser;

    /**
     * 添加人名称
     */
    private String createUserName;
}
