package com.tuoheng.task.query;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

@Data
public class EquipmentMountQuery extends BaseQuery {

    /**
     * 设备编号
     */
    private String code;

    /**
     * 设备名称
     */
    private String name;

    /**
     * 类型：1高清相机 2多光谱相机 3空中喊话 4大功率照明 5双光热成像相机 6抛投钩
     * 7抛投绳 8无人机喷火枪 9灭火弹抛投器 10气体采集盒 11无人机取水器 12其他
     */
    private Integer type;
}
