package com.tuoheng.task.query;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

@Data
public class TaskQuery extends BaseQuery {

    /**
     * 任务编号
     */
    private String code;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 河道ID
     */
    private String streamId;

    /**
     * 任务状态：1任务待飞行 2任务飞行中 3任务飞行完成
     */
    private Integer status;
}
