package com.tuoheng.task.service;

import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.task.entity.CloudBox;

/**
 * 云盒表 服务类
 *
 * @author WangHaoran
 * @since 2022-06-28
 */
public interface ICloudBoxService extends IBaseService<CloudBox> {

    /**
     * 获取云盒列表
     *
     * @return
     */
    JsonResult getCloudBoxList();
}
